Loading...
Searching...
No Matches
filesys.in.h File Reference

Go to the source code of this file.

## Data Structures

struct | _PedFileSystem
| Structure describing file system. More...
struct | _PedFileSystemAlias
| Structure describing a file system alias. More...
struct | _PedFileSystemOps
struct | _PedFileSystemType
| Structure describing type of file system. More...

## Typedefs

typedef struct _PedFileSystem | PedFileSystem
typedef struct _PedFileSystemAlias | PedFileSystemAlias
typedef const struct _PedFileSystemOps | PedFileSystemOps
typedef struct _PedFileSystemType | PedFileSystemType

## Functions

PedFileSystemAlias * | ped_file_system_alias_get_next (const PedFileSystemAlias *fs_alias)
| Get the next PedFileSystemAlias after `fs_alias`.
void | ped_file_system_alias_register (PedFileSystemType *type, const char *alias, int deprecated)
void | ped_file_system_alias_unregister (PedFileSystemType *type, const char *alias)
int | ped_file_system_close (PedFileSystem *fs)
| Close file system `fs`.
PedConstraint * | ped_file_system_get_resize_constraint (const PedFileSystem *fs)
| Return a constraint that represents all of the possible ways the file system `fs` can be resized with ped_file_system_resize().
PedFileSystem * | ped_file_system_open (PedGeometry *geom)
| This function opens the file system stored on `geom`, if it can find one.
PedFileSystemType * | ped_file_system_probe (PedGeometry *geom)
| Attempt to detect a file system in region `geom`.
PedGeometry * | ped_file_system_probe_specific (const PedFileSystemType *fs_type, PedGeometry *geom)
| Attempt to find a file system and return the region it occupies.
int | ped_file_system_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
| Resize `fs` to new geometry `geom`.
PedFileSystemType * | ped_file_system_type_get (const char *name)
| Get a PedFileSystemType by its `name`.
PedFileSystemType * | ped_file_system_type_get_next (const PedFileSystemType *fs_type)
| Get the next PedFileSystemType after `fs_type`.
void | ped_file_system_type_register (PedFileSystemType *type)
void | ped_file_system_type_unregister (PedFileSystemType *type)